From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 30 April 2004<P>

Aw hell...even on the repost I leave out words. Enough! Lesson: don't submit poems on caffeine rushes before thoroughly proofreading...<BR>
<BR>
Violet - "Mrs. Happy" = VERY funny. I'm assuming that was the intended effect. If not, I'm sorry. Made me laugh out loud, though. Ditto for "I Can't Believe It's Not Butter". You know you rock, Misti. I'm glad you've found someone who brings that out in you. I mean, honestly, when did we last write poems for each other? I think Clinton was still President... ;)
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 30 April 2004<P>

Clinton wasn't even President when we met! But yeah, it had been awhile. Thank you for saying that I rock. I appreciate that. I am in love with a crazy man. While he shaves he sings Beatles songs as Elmer Fudd. "Helter Skelter" is my favorite rendition. Last night his grandmother gave me a purple sarong she made for her daughter who died years ago. Michael's mom brought her the material from Hawaii. So I'm wearing that today and a blue t-shirt with that multicolored lei I bought years ago. Michael is wearing a straw hat and a green plastic lei. We are two maniacs in love. I love the picture you sent, by the way. You and Becca make an awesome couple. You look so happy!
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 30 April 2004<P>

Sure he was! Bush stole the 2000 election when we were in Austin, remember? Guess we should have voted...
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 30 April 2004<P>

Clinton was President in 2000? Are you sure? Oh gawd. It's official. I'm retarded.
<HR>
From: <a href="/blend/av.cgi?id=220">wolfscreamer</a><BR>
Date: 30 April 2004<P>

Misti<BR>
Glad to see Phil Lynott can still hit THE SPOT even if sadly deceased.Thin Lizzy ahhhhhhhhhh back to those days of my youth when I had to sweep the hair from my eyes(sadly no longer possible).Its good to see you happy. 
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 30 April 2004<P>

thanks, wolf! it's good to be happy! it's long overdue!
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 30 April 2004<P>

True...you got a good thing there. The post-divorce thirtysomething dating world is not a pretty place - more rebounds than a Knicks game, more baggage than a bus station. ;)
<HR>